/* Recreate objects script.
 * 
 * Generated via Object Desktop Package File 'Object Package'.
 */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* Get creation disposition. */
Say 'When object exists object creation should:' 
Call CharOut, '  (U=Update, R=Replace, F=Fail) : '
Parse Upper Pull Answer
CreateCollision = 'Fail'
If Left( Answer, 1 ) = R Then CreateCollision = 'Replace' 
If Left( Answer, 1 ) = U Then CreateCollision = 'Update' 

Call RegisterClasses
Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

rc = CreateObject( 'WPFolder',,
    'WarpAMP',,
    '<WP_DESKTOP>',,
    'NOTDEFAULTICON=YES;'||,
        'NOPRINT=YES;'||,
        'DEFAULTVIEW=CONTENTS;'||,
        'ICONPOS=13,73;'||,
        'ICONVIEWPOS=7 71 80 19;'||,
        'SELFCLOSE=1;'||,
        'BACKGROUND=C:\OS2\BITMAP\PLASTER.BMP,T,,I,255 255 236;'||,
        'ICONFONT=9.WarpSans;'||,
        'DETAILSFONT=9.WarpSans;'||,
        'TREEFONT=9.WarpSans;'||,
        'ICONVIEW=NONGRID,NORMAL;'||,
        'DETAILSVIEW=MINI;'||,
        'TREEVIEW=LINES,MINI;'||,
        'ALWAYSSORT=YES;'||,
        'ICONFILE=C:\Desktop\WarpAMP\Folder\WarpAMP.ICO;'||,
        'OBJECTID=<WarpAMP_FOLDER>',,
    CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'WarpAMP',,
      '<WarpAMP_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'ASSOCFILTER=*MP2,*MP3,*.MPL,*MPL,*.MP2,*.MP3;'||,
          'EXENAME=C:\WARPAMP\WARPAMP.EXE;'||,
          'STARTUPDIR=C:\WARPAMP;'||,
          'PROGTYPE=PM;'||,
          'OBJECTID=<WarpAMP>',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'WarpAMP Manual',,
      '<WarpAMP_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME=VIEW.EXE;'||,
          'PARAMETERS="C:\WarpAmp\WarpAMP.INF";'||,
          'PROGTYPE=PM',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'SDG HomePage',,
      '<WarpAMP_FOLDER>',,
      'NOPRINT=YES;'||,
          'DEFAULTVIEW=RUNNING;'||,
          'EXENAME=NETSCAPE.EXE;'||,
          'PARAMETERS=http://www.sdg.os2.nu/warpamp.html;'||,
          'PROGTYPE=PM',,
      CreateCollision )

return

RegisterClasses:

Say
Say 'Registering classes....'
Say
Say 'The following classes will be registered:'
Say
Say '  TSEnhFolder       DTProgram         '
Say
Say 'Press enter to register 2 classes for object creation,'
Call CharOut, 'or type any other key and enter to ignore: '
Say
Parse Pull Answer
If Answer <> '' Then return
  If SysRegisterObjectClass( 'TSEnhFolder', 'OBJDEFLD' ) <> 1 Then
      Say 'Can''t register class TSEnhFolder with OBJDEFLD.'
  Else
      Say 'Registered class TSEnhFolder with OBJDEFLD.'

  If SysRegisterObjectClass( 'DTProgram', 'C:\THIRD\DRGTXT33\DTPGM33.DLL' ) <> 1 Then
      Say 'Can''t register class DTProgram with C:\THIRD\DRGTXT33\DTPGM33.DLL.'
  Else
      Say 'Registered class DTProgram with C:\THIRD\DRGTXT33\DTPGM33.DLL.'

return

